import * as AwsDynamoDB from 'aws-sdk/clients/dynamodb';
import { Observable } from 'rxjs';
import { OutputStream } from 'mutator-io';
declare class DynamoDB implements OutputStream {
    client: AwsDynamoDB.DocumentClient;
    constructor(config?: DynamoDB.Config);
    create(): (msg: DynamoDB.Message) => Observable<{}>;
}
declare module DynamoDB {
    enum Operations {
        PUT = "put",
        DELETE = "delete",
        UPDATE = "update",
    }
    interface Message {
        operation: Operations;
        params: Object;
    }
    interface Config extends AwsDynamoDB.Types.DocumentClient.DocumentClientOptions, AwsDynamoDB.Types.ClientConfiguration {
    }
}
export = DynamoDB;
