"use strict";
const AwsDynamoDB = require("aws-sdk/clients/dynamodb");
const rxjs_1 = require("rxjs");
class DynamoDB {
    constructor(config = {}) {
        this.client = new AwsDynamoDB.DocumentClient(config);
    }
    create() {
        return (msg) => {
            return rxjs_1.Observable.of(msg)
                .flatMap((msg) => {
                if (!msg) {
                    return rxjs_1.Observable.empty();
                }
                return rxjs_1.Observable.create((observer) => {
                    if (!msg.operation) {
                        return observer.error(new Error('The format of the message for this output stream is invalid'));
                    }
                    const method = this.client[msg.operation];
                    method.call(this.client, msg.params || {}, (error, data) => {
                        if (error) {
                            return observer.error(new Error(error));
                        }
                        observer.next(msg);
                    });
                });
            });
        };
    }
}
(function (DynamoDB) {
    let Operations;
    (function (Operations) {
        Operations["PUT"] = "put";
        Operations["DELETE"] = "delete";
        Operations["UPDATE"] = "update";
    })(Operations = DynamoDB.Operations || (DynamoDB.Operations = {}));
})(DynamoDB || (DynamoDB = {}));
module.exports = DynamoDB;
//# sourceMappingURL=index.js.map